OpenVDB: MeanCurvature< MapType, DiffScheme2, DiffScheme1 > Struct Template Reference

OpenVDB 3.2.0

Static Public Member Functions | List of all members
MeanCurvature< MapType, DiffScheme2, DiffScheme1 > Struct Template Reference

Compute the mean curvature. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static bool | compute (const MapType &map, const Accessor &grid, const Coord &ijk, double &alpha, double &beta)
| random access version More...
template<typename Accessor >
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | normGrad (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static bool | compute (const MapType &map, const StencilT &stencil, double &alpha, double &beta)
| stencil access version More...
template<typename StencilT >
static StencilT::ValueType | result (const MapType &map, const StencilT stencil)
template<typename StencilT >
static StencilT::ValueType | normGrad (const MapType &map, const StencilT stencil)

## Detailed Description

### template<typename MapType, DDScheme DiffScheme2, DScheme DiffScheme1>
struct openvdb::v3_2_0::math::MeanCurvature< MapType, DiffScheme2, DiffScheme1 >

Compute the mean curvature.

Returns
  the mean curvature in two parts: `alpha` is the numerator in , and `beta` is .

## Member Function Documentation

## § compute() [1/2]

static bool compute | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk,
|  | double & | alpha,
|  | double & | beta
| ) |  |
| inlinestatic

random access version

Returns
  true if the gradient is none-zero, in which case the mean curvature is computed as two parts: `alpha` is the numerator in , and `beta` is .

## § compute() [2/2]

static bool compute | ( | const MapType & | map,
|  | const StencilT & | stencil,
|  | double & | alpha,
|  | double & | beta
| ) |  |
| inlinestatic

stencil access version

Returns
  true if the gradient is none-zero, in which case the mean curvature is computed as two parts: `alpha` is the numerator in , and `beta` is .

## § normGrad() [1/2]

static Accessor::ValueType normGrad | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## § normGrad() [2/2]

static StencilT::ValueType normGrad | ( | const MapType & | map,
|  | const StencilT | stencil
| ) |  |
| inlinestatic

## § result() [1/2]

static Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## § result() [2/2]

static StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT | stencil
| ) |  |
| inlinestatic

The documentation for this struct was generated from the following file:

- Operators.h